package com.bocloud.nms.model.hillstone;

import java.util.Objects;

// 国家地区本
public class CountryBookModel extends HillStoneGenericModel {
    private Long vendorId; // 所属平台
    private String code; // 编码
    private String name; // 名称

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        CountryBookModel that = (CountryBookModel) o;
        return Objects.equals(vendorId, that.vendorId) &&
            Objects.equals(code, that.code);
    }

    @Override
    public int hashCode() {
        return Objects.hash(vendorId, code);
    }
}
